Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.security.authentication
Class LoginCallbackImpl

    java.lang.Object
      org.eclipse.jetty.security.authentication.LoginCallbackImpl

All Implemented Interfaces:
  LoginCallback

    public class LoginCallbackImpl

extends java.lang.Object
implements LoginCallback

This is similar to the jaspi PasswordValidationCallback but includes user principal and group info as well.

Version:
  $Rev: 4793 $ $Date: 2009-03-19 00:00:01 +0100 (Thu, 19 Mar 2009) $

Constructor Summary
`LoginCallbackImpl(javax.security.auth.Subject subject, java.lang.String userName, java.lang.Object credential)`

Method Summary
`void` | `clearPassword()`
`java.lang.Object` | `getCredential()`
`java.lang.String[]` | `getRoles()`
`javax.security.auth.Subject` | `getSubject()`
`java.lang.String` | `getUserName()`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isSuccess()`
`void` | `setRoles(java.lang.String[] groups)`
`void` | `setSuccess(boolean success)`
`void` | `setUserPrincipal(java.security.Principal userPrincipal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoginCallbackImpl

    public LoginCallbackImpl(javax.security.auth.Subject subject,
                             java.lang.String userName,
                             java.lang.Object credential)

Method Detail

### getSubject

    public javax.security.auth.Subject getSubject()

  Specified by:
    `getSubject` in interface `LoginCallback`

### getUserName

    public java.lang.String getUserName()

  Specified by:
    `getUserName` in interface `LoginCallback`

### getCredential

    public java.lang.Object getCredential()

  Specified by:
    `getCredential` in interface `LoginCallback`

### isSuccess

    public boolean isSuccess()

  Specified by:
    `isSuccess` in interface `LoginCallback`

### setSuccess

    public void setSuccess(boolean success)

  Specified by:
    `setSuccess` in interface `LoginCallback`

### getUserPrincipal

    public java.security.Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `LoginCallback`

### setUserPrincipal

    public void setUserPrincipal(java.security.Principal userPrincipal)

  Specified by:
    `setUserPrincipal` in interface `LoginCallback`

### getRoles

    public java.lang.String[] getRoles()

  Specified by:
    `getRoles` in interface `LoginCallback`

### setRoles

    public void setRoles(java.lang.String[] groups)

  Specified by:
    `setRoles` in interface `LoginCallback`

### clearPassword

    public void clearPassword()

  Specified by:
    `clearPassword` in interface `LoginCallback`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.